Save a template project workspace
Validates the effective project tree and creates one normal Git commit on the Artifact default branch.
Validates the effective project tree and creates one normal Git commit on the Artifact default branch.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^tmpl_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
expectedRevision*string
expectedHead*string
Match
^[a-f0-9]{40}$message*string
Length
1 <= length <= 512idempotencyKey*string
Length
1 <= length <= 255Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/templates/string/workspace/save" \ -H "Content-Type: application/json" \ -d '{ "expectedRevision": "string", "expectedHead": "string", "message": "string", "idempotencyKey": "string" }'{ "commit": "string", "parentCommit": "string", "tree": "string", "revision": "string", "changedPaths": [ "string" ], "sourceDigest": "string", "buildDigest": "string", "entries": [ { "path": "string", "diagnostics": [ "string" ] } ], "warnings": [ "string" ], "incompatibilities": [ "string" ]}Stage a historical template project tree
Stage a historical template project tree. View request and response details for this Samva email API endpoint.
Update a template
Updates template metadata. Source changes use the project workspace API. Use this endpoint to update a template through the Samva email API.